Subject: bug#52877: [External] : Re: bug#52877: 27.2; Let `use-dialog-box' apply to more than just yes/no questions

From: Drew Adams <[email-masked]>
Date: Sat, 15 Jan 2022 22:12:05 +0000

> > A starting point is to redefine commands such as `menu-set-font', to
> > respect `use-dialog-box'.  For example:
> >
> > (defun menu-set-font ()
> >   "Interactively select a font and make it the default on all frames.
> > The selected font will be the default on both the existing and future
> > frames."
> >   (interactive)
> >   (if use-dialog-box
> >       (menu-set-font)
> >     (call-interactively #'set-frame-font-all)))
> 
> If use-dialog-box is set, you want menu-set-font to call itself?

The call inside the function should have been
`(current-definition-of-menu-set-font)'.

> In any case, the current definition is:...

Which is pretty much what it's always been.

> So it uses a graphical chooser by default, no matter whether
> use-dialog-box is set or not.

Exactly.  That's exactly the limitation this
enhancement request asks to remove.  Let _users_
control whether it uses a graphical chooser
or not - exactly what `use-dialog-box' is for.

The limitation is that `use-dialog-box' currently
is usable only with `yes-or-no' questions.

Clearly the `set-frame-font-all' code I showed,
together with the `use-dialog-box' test, should
have clued you in to what's being requested.
Alas, it apparently did not.

> So I don't think there's anything to fix
> here, and I'm closing this bug report.

Too bad.  This enhancement is not at all about
only `menu-set-font' - that was an illustration.

In your zeal to pointing out the typo in the
the `menu-set-font' definition did you perhaps
overlook the whole point?